LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
XChartDocument.idl File Reference
`import "com/sun/star/chart2/XDiagram.idl";`
`import "com/sun/star/chart2/XChartTypeManager.idl";`
`import "com/sun/star/chart2/data/XDataProvider.idl";`
`import "com/sun/star/frame/XModel.idl";`
`import "com/sun/star/beans/XPropertySet.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`
`import "com/sun/star/util/CloseVetoException.idl";`

Go to the source code of this file.

## Classes
interface | XChartDocument

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::chart2
| New implementation of Charting diagram interfaces.